Helpful Links

DirecTV app on iPhone 3GS says I need to upgrade to use it.

Scholar

DirecTV app on iPhone 3GS says I need to upgrade to use it.

iPhone 3GS running iOS 6.1.6, DirecTV app 3.3.

I tried to use the app today but it told me I had to update it to version 3.5. So I went to the App Store app on my iPhone 3GS to see if there was an update available - nope, I was up-to-date with version 3.3. Because the DirecTV still wouldn't let me, I was unable to set a program to record.

When I got home, I launched iTunes and went to the App Store via it and discovered that in fact there was a version 3.5 for the DirecTV app BUT it required iOS 7. Since the iPhone 3GS CAN'T run iOS 7, why was the DirecTV app telling me to update to an app that can't run on iOS 6.1.6?

765 Views
Message 1 of 5
Employee

Re: DirecTV app on iPhone 3GS says I need to upgrade to use it.

Your iPhone is no longer supported. Read the app description on the App Store for hardware requirements

Employee Contributor*
*I am an AT&T employee and the postings on this site are my own and don't necessarily represent AT&T's position, strategies or opinions.
Message 2 of 5
Scholar

Re: DirecTV app on iPhone 3GS says I need to upgrade to use it.

Solved the problem by ordering an iPhone 6.

Message 3 of 5
Employee

Re: DirecTV app on iPhone 3GS says I need to upgrade to use it.

Good choice!

Employee Contributor*
*I am an AT&T employee and the postings on this site are my own and don't necessarily represent AT&T's position, strategies or opinions.
Message 4 of 5
Scholar

Re: DirecTV app on iPhone 3GS says I need to upgrade to use it.

Thanks!

Message 5 of 5
Share this topic
Announcements

Need immediate assistance with your bill or technical issue? Don’t wait, Click here to chat with us. You can also check out some helpful articles below!

Additional Support